<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Export;

class ExportKursWithDozentenHonorar extends \ExportKursuebersicht
{
  
  private $dozkurs;

  public function __construct(\DozentenHonorare $dozentenHonorare)
  {
    parent::__construct();
    $this->dozkurs = $dozentenHonorare;
  }

  public function getVarValue($varname)
  {
    switch ($this->getVarCategory($varname)) {
      default: return parent::getVarValue($varname);
      case 'doz_':
        return $this->expCalculation->getVarValue4Dozent($this->getVarName($varname), $this->dozkurs->dozent);
      case 'dozkurs_':
        return $this->dozkurs->getVarValue($this->getVarName($varname));
    }
  }
}